package de.fesenmeyer.dbnormalizer.core;

/**
 * Abstract base class for the objects contained in a DB, such as a table or a primary key.
 * 
 * @author DF
 * 
 */
public abstract class AbstractDBItem {
	/**
	 * The item's name.
	 */
	private String name = null;

	/**
	 * Returns the item's name.
	 * 
	 * @return the item's name
	 */
	public String getName() {
		return name;
	}

	/**
	 * Sets the item's name.
	 * 
	 * @param name
	 *            the item's name
	 */
	public void setName(String name) {
		this.name = name;
	}

	@Override
	public String toString() {
		return name;
	}
}
