package de.fesenmeyer.dbnormalizer.core.configuration;

import java.util.Set;
import java.util.TreeSet;

/**
 * Configuration class for attributes. Contains just
 * the names of the attributes.
 * @author DF
 *
 */
public class AttributeSetConfig {
	/**
	 * The attributes.
	 */
	private Set<String> attributes = new TreeSet<String>();

	/**
	 * Gets the attributes.
	 * @return the attributes
	 */
	public Set<String> getAttributes() {
		return attributes;
	}

	/**
	 * Sets the attributes.
	 * @param attributes the attributes
	 */
	public void setAttributes(Set<String> attributes) {
		this.attributes = attributes;
	}

}
