package de.fesenmeyer.dbnormalizer.gui;

import javax.swing.tree.DefaultMutableTreeNode;

/**
 * @author DF
 *
 */
@SuppressWarnings("serial")
public class DBNormalizerTreeNode extends DefaultMutableTreeNode {

	private NodeType nodeType = null;

	public enum NodeType {
		ROOT_NODE, TABLE_CONTAINER, TABLE, ATTRIBUTE, NORM_PROPOSAL, NORM_PROPOSAL_TABLE, NORM_PROPOSAL_ATTRIBUTE
	}

	public DBNormalizerTreeNode(NodeType nodeType, Object userObject) {
		super(userObject);
		this.nodeType = nodeType;
	}

	public NodeType getNodeType() {
		return nodeType;
	}

	public void setNodeType(NodeType nodeType) {
		this.nodeType = nodeType;
	}

}
