package de.fesenmeyer.dbnormalizer.gui;

import java.awt.BorderLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;

/**
 * @author DF
 *
 */
@SuppressWarnings("serial")
public class InformationPanel extends JPanel {

	private JTextArea textArea = null;

	private JButton clearButton = null;

	public InformationPanel() {
		super(new BorderLayout());
		JPanel buttonPanel = new JPanel();
		this.clearButton = new JButton("Clear");
		this.clearButton.addActionListener(new ActionListener() {

			public void actionPerformed(ActionEvent e) {
				clear();
			}

		});
		buttonPanel.add(this.clearButton);

		this.add(buttonPanel, BorderLayout.NORTH);

		this.textArea = new JTextArea();
		textArea.setLineWrap(true);
		textArea.setEditable(false);

		JScrollPane scrollPane = new JScrollPane(this.textArea);
		this.add(scrollPane, BorderLayout.CENTER);

		// this.setPreferredSize(new Dimension(600, 200));
	}

	public void println(String str) {
		textArea.append(str + "\n");
	}

	public void print(String str) {
		textArea.append(str);
	}

	public void clear() {
		textArea.setText(null);
	}

	public JTextArea getTextArea() {
		return textArea;
	}
}
