INSERT INTO department (dname, dnumber, mgrssn, mgrstartdate) VALUES ('Research', 5, null, '22.05.1988');
INSERT INTO department (dname, dnumber, mgrssn, mgrstartdate) VALUES ('Administration', 4, null, '01.01.1995');
INSERT INTO department (dname, dnumber, mgrssn, mgrstartdate) VALUES ('Headquarters', 1, null, '19.06.1981');

INSERT INTO employee_project(ssn, ename, bdate, dno, pnumber, pname, plocation, pdno) VALUES
    (123456789, 'Smith, John B.', '09.01.1965', 5, 1, 'ProductX', 'Bellaire', 5);
INSERT INTO employee_project(ssn, ename, bdate, dno, pnumber, pname, plocation, pdno) VALUES
    (333445555, 'Wong, Franklin T.', '08.12.1955', 5, 2, 'ProductY', 'Sugarland', 5);
INSERT INTO employee_project(ssn, ename, bdate, dno, pnumber, pname, plocation, pdno) VALUES
    (999887777, 'Zelaya, Alicia J.', '19.07.1968', 4, 30, 'Newbenefits', 'Stafford', 4);
INSERT INTO employee_project(ssn, ename, bdate, dno, pnumber, pname, plocation, pdno) VALUES
    (987654321, 'Wallace, Jennifer S.', '20.06.1941', 4, 30, 'Newbenefits', 'Stafford', 4);
INSERT INTO employee_project(ssn, ename, bdate, dno, pnumber, pname, plocation, pdno) VALUES
    (666884444, 'Narayan, Ramesh K.', '15.09.1962', 5, 3, 'ProductZ', 'Houston', 5);
INSERT INTO employee_project(ssn, ename, bdate, dno, pnumber, pname, plocation, pdno) VALUES
    (453453453, 'English, Joyce A.', '31.07.1972', 5, 1, 'ProductX', 'Bellaire', 5);
INSERT INTO employee_project(ssn, ename, bdate, dno, pnumber, pname, plocation, pdno) VALUES
    (987987987, 'Ahmad, Jabbar V.', '29.03.1969', 4, 10, 'Computerization', 'Stafford', 4);
INSERT INTO employee_project(ssn, ename, bdate, dno, pnumber, pname, plocation, pdno) VALUES
    (888665555, 'Borg, James E.', '10.11.1937', 1, 20, 'Reorganization', 'Houston', 1);

-- set the supervisor of each employee
UPDATE employee_project SET superssn=333445555 WHERE ssn=123456789;
UPDATE employee_project SET superssn=888665555 WHERE ssn=333445555;
UPDATE employee_project SET superssn=987654321 WHERE ssn=999887777;
UPDATE employee_project SET superssn=888665555 WHERE ssn=987654321;
UPDATE employee_project SET superssn=333445555 WHERE ssn=666884444;
UPDATE employee_project SET superssn=333445555 WHERE ssn=453453453;
UPDATE employee_project SET superssn=987654321 WHERE ssn=987987987;

-- now set the departments' manager ssns
UPDATE department SET mgrssn=333445555 WHERE dnumber=5;
UPDATE department SET mgrssn=987654321 WHERE dnumber=4;
UPDATE department SET mgrssn=888665555 WHERE dnumber=1;

INSERT INTO dependent (essn, dependent_name, sex, bdate, relationship) VALUES
    (333445555, 'Alice', 'F', '05.04.1986', 'DAUGHTER');
INSERT INTO dependent (essn, dependent_name, sex, bdate, relationship) VALUES
    (333445555, 'Theodore', 'M', '25.10.1983', 'SON');
INSERT INTO dependent (essn, dependent_name, sex, bdate, relationship) VALUES
    (333445555, 'Joy', 'F', '03.05.1958', 'SPOUSE');
INSERT INTO dependent (essn, dependent_name, sex, bdate, relationship) VALUES
    (987654321, 'Abner', 'M', '28.02.1942', 'SPOUSE');
INSERT INTO dependent (essn, dependent_name, sex, bdate, relationship) VALUES
    (123456789, 'Michael', 'M', '04.01.1988', 'SON');
INSERT INTO dependent (essn, dependent_name, sex, bdate, relationship) VALUES
    (123456789, 'Alice', 'F', '30.12.1988', 'DAUGHTER');
INSERT INTO dependent (essn, dependent_name, sex, bdate, relationship) VALUES
    (123456789, 'Elizabeth', 'F', '05.05.1967', 'SPOUSE');