package de.fesenmeyer.dbnormalizer.core;

/**
 * This is the most general exception of DBNormalizer and
 * the base class of all exceptions defined by DBNormalizer.
 * @author DF
 *
 */
@SuppressWarnings("serial")
public class DBNormalizerException extends Exception {

	/**
	 * Constructor specifying a message.
	 * @param message the message
	 */
	public DBNormalizerException(String message) {
		super(message);
	}

	/**
	 * Constructor specifying a message and a cause
	 * for this exception.
	 * @param message the message
	 * @param cause the cause
	 */
	public DBNormalizerException(String message, Throwable cause) {
		super(message, cause);
	}

	/**
	 * Constructor specifying a cause for this exception
	 * @param cause the cause
	 */
	public DBNormalizerException(Throwable cause) {
		super(cause);
	}

}