package de.fesenmeyer.dbnormalizer.core.configuration.xml;

import javax.xml.transform.ErrorListener;
import javax.xml.transform.TransformerException;

/**
 * A Simple ErrorListener implementation for XML transformations
 * which just delegates each error, fatal error and warning to
 * the calling code.
 * @author DF
 * @see ErrorListener
 */
public class SimpleErrorListener implements ErrorListener {

	/* (non-Javadoc)
	 * @see javax.xml.transform.ErrorListener#error(javax.xml.transform.TransformerException)
	 */
	public void error(TransformerException exception) throws TransformerException {
		throw exception;
	}

	/* (non-Javadoc)
	 * @see javax.xml.transform.ErrorListener#fatalError(javax.xml.transform.TransformerException)
	 */
	public void fatalError(TransformerException exception) throws TransformerException {
		throw exception;
	}

	/* (non-Javadoc)
	 * @see javax.xml.transform.ErrorListener#warning(javax.xml.transform.TransformerException)
	 */
	public void warning(TransformerException exception) throws TransformerException {
		throw exception;
	}
}
